package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserCollection;


/**
*  service接口类
*/
public interface UserCollectionService{

    List<UserCollection> getUserCollectionList(UserCollection record);

    List<UserCollection> getUserCollectionByPage(Page page, UserCollection record);

    UserCollection getUserCollectionById(String id);

    UserCollection getUserCollection(UserCollection record);

    boolean createUserCollection(UserCollection record);

    boolean deleteUserCollection(String id);

    boolean updateUserCollection(UserCollection record);
}

